name: pshared
description: Shared components inside Sendico frontends.
version: 1.0.0

environment:
  sdk: ^3.8.0

# Add regular dependencies here.
dependencies:
  analyzer: ^10.0.0
  json_annotation: ^4.9.0
  http: ^1.1.0
  provider: ^6.0.5
  flutter:
    sdk: flutter
  flutter_localizations:
    sdk: flutter
  intl: ^0.20.2
  country_flags: ^4.1.0
  font_awesome_flutter: ^10.5.0
  flutter_svg: ^2.0.9
  http_parser: ^4.0.2
  collection: ^1.18.0
  cached_network_image: ^3.3.0
  jovial_svg: ^1.1.23
  logging: ^1.3.0
  share_plus: ^12.0.1
  uuid: ^4.5.1
  image: ^4.5.4
  shared_preferences: ^2.5.3
  
dev_dependencies:
  flutter_lints: ^6.0.0
  lints: ^6.0.0
  test: ^1.21.0
  build_runner: ^2.4.6
  json_serializable: ^6.7.1

flutter:
  generate: true
  
  uses-material-design: true
  assets:
    - assets/flag_of_catalonia.si